TLS Enablement

What are the product versions that support TLS 1.2?

Issue Description: There is requirement to disable old Transport Layer Security(TLS) 1.0/1.1 and enable TLS 1.2 on servers where Orchestrator/Studio/Robot and Database are installed . What are the UiPath product versions that support TLS 1.2?

Resolution: Starting 2019.10.5 Studio version, support for TLS 1.2 was added, in addition to TLS 1.1. Support for TLS 1.0 was removed in this Studio version. TLS versions on Orchestrator, Studio, Robot, and Assistant must match for a connection to be made. More details available here .

The recommendation would be to first enable TLS 1.2 and then disable the older versions.